Bug 22896 - Item to be transferred at checkin clears overridden due date
Summary: Item to be transferred at checkin clears overridden due date
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Nick Clemens
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
: 23062 (view as bug list)
Depends on: 21346
Blocks: 22977
  Show dependency treegraph
 
Reported: 2019-05-13 15:32 UTC by Nick Clemens
Modified: 2019-06-10 18:18 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22896: Missing inputs in transfer modal (1.79 KB, patch)
2019-05-13 15:36 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22896: Missing inputs in transfer modal (1.83 KB, patch)
2019-05-13 16:13 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22896: Missing inputs in transfer modal (4.95 KB, patch)
2019-05-13 16:17 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22896: Missing inputs in transfer modal (4.99 KB, patch)
2019-05-13 16:22 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22896: Missing inputs in transfer modal (5.05 KB, patch)
2019-05-16 10:26 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-05-13 15:32:31 UTC
In backport of 21346 a few hidden inputs were lost in the conversion to modals
Comment 1 Nick Clemens 2019-05-13 15:36:47 UTC
Created attachment 89667 [details] [review]
Bug 22896: Missing inputs in transfer modal

This patch restires hidden inputs to save overrideen checkin date in the checkin screen

To test:
1 - Find an item from another branch
2 - Set a checkin date and click the box for the date to be remembered
3 - Check in the item
4 - Click ok or print, note the checkin date is lost
5 - Apply patch
6 - Repeat
7 - Checkin date remains
Comment 2 Liz Rea 2019-05-13 16:13:35 UTC
Created attachment 89670 [details] [review]
Bug 22896: Missing inputs in transfer modal

This patch restires hidden inputs to save overrideen checkin date in the checkin screen

To test:
1 - Find an item from another branch
2 - Set a checkin date and click the box for the date to be remembered
3 - Check in the item
4 - Click ok or print, note the checkin date is lost
5 - Apply patch
6 - Repeat
7 - Checkin date remains

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Nick Clemens 2019-05-13 16:17:46 UTC
Created attachment 89671 [details] [review]
Bug 22896: Missing inputs in transfer modal

This patch restores hidden inputs to save overridden checkin date and other data

Currently we lose the list of checkouts and several settings when items with transfers are checked in

To test:
1 - Find an item from another branch
2 - Set a checkin date and click the box for the date to be remembered
3 - Check in the item
4 - Click ok or print, note the checkin date is lost
5 - Apply patch
6 - Repeat
7 - Checkin date remains
Comment 4 Liz Rea 2019-05-13 16:22:43 UTC
Created attachment 89672 [details] [review]
Bug 22896: Missing inputs in transfer modal

This patch restores hidden inputs to save overridden checkin date and other data

Currently we lose the list of checkouts and several settings when items with transfers are checked in

To test:
1 - Find an item from another branch
2 - Set a checkin date and click the box for the date to be remembered
3 - Check in the item
4 - Click ok or print, note the checkin date is lost
5 - Apply patch
6 - Repeat
7 - Checkin date remains

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 5 Jonathan Druart 2019-05-13 23:53:04 UTC
Can you explain a bit more what happened? I have compared the two commits and they are identical.
Comment 6 Nick Clemens 2019-05-14 15:35:28 UTC
(In reply to Jonathan Druart from comment #5)
> Can you explain a bit more what happened? I have compared the two commits
> and they are identical.

Ah, it looks like I just got my code misaligned and hit the wrong conditions during testing, this is a master issue too.

Ultimately these variables should probably all be in a block, but I think we need to fix quickly for now
Comment 7 Martin Renvoize 2019-05-16 10:26:51 UTC
Created attachment 89825 [details] [review]
Bug 22896: Missing inputs in transfer modal

This patch restores hidden inputs to save overridden checkin date and other data

Currently we lose the list of checkouts and several settings when items with transfers are checked in

To test:
1 - Find an item from another branch
2 - Set a checkin date and click the box for the date to be remembered
3 - Check in the item
4 - Click ok or print, note the checkin date is lost
5 - Apply patch
6 - Repeat
7 - Checkin date remains

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-05-16 10:28:38 UTC
I think this is rather important to have before release... it all works as expected for me here so I'm going to PQA.

Note: It might be nice to have a regression test for this (selenium), but I'm not of the opinion it's required at this stage.
Comment 9 Martin Renvoize 2019-05-16 11:32:13 UTC
On second look, I think there's more to this.. there are a few more missing hidden form fields that got removed entirely in bug 21346 but still appear in returns.pl.

I'm reverting my PQA until I've investigated further.
Comment 10 Martin Renvoize 2019-05-23 14:44:38 UTC
Right.. PQA.  We've moved my worry points to a followup bug report and will fix them early next cycle.. 

This patch fixes the issue reported and moves us forward.

Go forth and push Mr RM
Comment 11 Nick Clemens 2019-05-23 15:47:57 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-05-30 20:09:05 UTC
Pushed to 18.11.x for 18.11.06
Comment 13 Nick Clemens 2019-06-10 18:18:29 UTC
*** Bug 23062 has been marked as a duplicate of this bug. ***